Index: /trunk/plugins/TakeATour/language/es_ES/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/es_ES/plugin.lang.php	(revision 28449)
+++ /trunk/plugins/TakeATour/language/es_ES/plugin.lang.php	(revision 28450)
@@ -116,2 +116,38 @@
 $lang['2_7_0_title2'] = 'Primera nueva funcionalidad';
 $lang['2_7_0_title3'] = 'Búsqueda rápida';
+$lang['first_contact_stp7'] = 'Este es un sumario de tus fotos subidas. Puedes observar que Piwigo ha generado por si mismo las miniaturas. Puedes añadir más fotos usando el enlace que hay al final, editar las propiedades de una foto haciendo click en el, o administrar las fotos subidas en el editor por lotes.';
+$lang['first_contact_stp5'] = 'Haz click en el botón para seleccionar las fotos a subir desde tu ordenador.';
+$lang['first_contact_stp6'] = 'Puedes ver que las fotos se listan aquí. Añade por lo menos 2 fotos y cuando estés listo haz click en el botón Empezar la subida.';
+$lang['first_contact_stp43'] = 'Este tour ha sido bastante largo, pero solo hemos visto una pequeña parte de todo el potencial que tiene Piwigo. Todo tiene un final, esta visita ha acabado.<br>Puedes descubrir las funciones más en profundidad haciendo otro tour o leyendo la documentación en la web de piwigo.org';
+$lang['first_contact_stp41'] = 'Puedes ver en la última pestaña todos los plugins disponibles para tu versión de Piwigo. ¡Hay cientos de ellos!';
+$lang['first_contact_stp42'] = 'Piwigo es multilenguaje. Por defecto el idioma en el que se mostrará Piwigo se ajustará acorde al idioma del navegador del visitante. Si el idioma del visitante no está disponible se usará el idioma por defecto.';
+$lang['first_contact_stp38'] = 'Los plugins son una forma muy fácil de personalizar tu Piwigo. Pueden hacer casi cualquier cosa que puedas imaginar, desde añadir pequeños textos a funcionalidades completas, como el plugin Community que permite a los usuarios que no son administradores subir fotos sin entrar al panel de administrador.';
+$lang['first_contact_stp39'] = 'En esa primera página aparecen los plugins instalados. En la parte superior aparecen los plugins activados, los que están funcionando. En la parte de abajo aparecen los plugins que se han instalado pero están desactivados. Borrar un plugin significa eliminar cualquier rastro de ese plugin (archivos, opciones, etc). Para la mayoria de plugins, desactivarlos guardará la información que han recopilado estos plugins.';
+$lang['first_contact_stp4'] = 'Primero selecciona un álbum; crea uno si aún no existe ninguno.';
+$lang['first_contact_stp40'] = '¡Aquí estoy! No me desactives ahora, pero puedes ver que se pueden desactivar o eliminar plugins activados.';
+$lang['first_contact_stp9'] = 'Ahora estas en el administrador por lotes, donde puedes editar múltiples fotos a la vez. Aquí Caddy se ha fijado como un filtro porque venimos de la página de subida de fotos.';
+$lang['first_contact_title37'] = 'Temas';
+$lang['first_contact_title38'] = 'Plugins';
+$lang['first_contact_title39'] = 'Plugins';
+$lang['first_contact_title4'] = '¡Vamos a añadir una foto!';
+$lang['first_contact_title42'] = 'Idiomas';
+$lang['first_contact_title43'] = 'Lo hemos pasado bien';
+$lang['first_contact_title9'] = 'El administrador por lotes';
+$lang['takeatour_configpage'] = 'Hacer un tour »Lista de tours';
+$lang['first_contact_stp8'] = '¡Vamos a editarlos pues! Haz click en el enlace. Si no lo ves, haz click en Anterior para añadir al menos 2 fotos.';
+$lang['first_contact_title25'] = 'Permisos del álbum';
+$lang['first_contact_title28'] = 'Configuración';
+$lang['first_contact_title29'] = 'Configuración->Opciones->General';
+$lang['first_contact_title3'] = 'Añadir página de fotos';
+$lang['first_contact_title33'] = 'Ajustes para invitados';
+$lang['first_contact_title34'] = 'Temas';
+$lang['first_contact_title35'] = 'Temas';
+$lang['first_contact_title36'] = 'Temas';
+$lang['first_contact_title1'] = 'Bienvenido al a galería de Piwigo';
+$lang['first_contact_title11'] = 'Cómo editar fotos';
+$lang['first_contact_title15'] = 'La página de edición de fotos';
+$lang['first_contact_title18'] = 'Administrar álbums';
+$lang['first_contact_title19'] = 'Administrar Álbums';
+$lang['first_contact_title20'] = 'Administrar Álbums';
+$lang['first_contact_title21'] = 'Otras pestañas';
+$lang['first_contact_title22'] = 'Página de edición de álbums';