Index: /extensions/modus/admin/admin.inc.php
===================================================================
--- /extensions/modus/admin/admin.inc.php	(revision 28452)
+++ /extensions/modus/admin/admin.inc.php	(revision 28453)
@@ -6,4 +6,6 @@
 include_once( dirname(dirname(__FILE__)).'/functions.inc.php');
 $default_conf = modus_get_default_config();
+
+load_language('theme.lang', dirname(__FILE__).'/../');
 
 $my_conf = @$conf['modus_theme'];
@@ -58,5 +60,5 @@
 }
 
-$available_derivatives = array( ''=> 'Default');
+$available_derivatives = array();
 foreach(array_keys(ImageStdParams::get_defined_type_map()) as $type)
 	$available_derivatives[$type] = l10n($type);
Index: /extensions/modus/admin/modus_admin.tpl
===================================================================
--- /extensions/modus/admin/modus_admin.tpl	(revision 28452)
+++ /extensions/modus/admin/modus_admin.tpl	(revision 28453)
@@ -51,10 +51,10 @@
 {/footer_script}
 
-<h2>Modus theme config</h2>
+<h2>{'Modus theme config'|translate}</h2>
 
 <form method="post" action="" id="modus-config">
 
 
-<fieldset><legend>Skin</legend>
+<fieldset><legend>{'Skin'|translate}</legend>
 <select name="skin">
 		{html_options options=$available_skins selected=$SKIN}
@@ -62,5 +62,5 @@
 </fieldset>
 
-<fieldset><legend>Album thumbs size</legend>
+<fieldset><legend>{'Album thumbnails'|translate}</legend>
   <label>
     <span class="graphicalCheckbox icon-check{if not $use_album_square_thumbs}-empty{/if}"></span>
@@ -77,7 +77,7 @@
 </fieldset>
 
-<fieldset><legend>Default photo sizes</legend>
+<fieldset><legend>{'Default sizes'|translate}</legend>
 
-<label>Index Photos : 
+<label>{'Default size for thumbnails'|translate}
 	<select name="index_photo_deriv">
 		{html_options options=$available_derivatives selected=$INDEX_PHOTO_DERIV}
@@ -85,5 +85,5 @@
 </label>
 <br>
-<label>Index Photos large high density screens : 
+<label>{'Default size for thumbnails on high density display (retina)'|translate}
 	<select name="index_photo_deriv_hdpi">
 		{html_options options=$available_derivatives selected=$INDEX_PHOTO_DERIV_HDPI}
@@ -92,8 +92,9 @@
 </fieldset>
 
+{*
 <fieldset><legend>Full row thumbnail layout</legend>
 Automatically applied for selected derivatives if max_width > max_height*1.5
-
 </fieldset>
+*}
 
 <p class="formButtons">
Index: /extensions/modus/functions.inc.php
===================================================================
--- /extensions/modus/functions.inc.php	(revision 28452)
+++ /extensions/modus/functions.inc.php	(revision 28453)
@@ -19,6 +19,6 @@
 	'skin' => 'dark',
 	'album_thumb_size' => 250,
-  'index_photo_deriv'=>'',
-  'index_photo_deriv_hdpi'=>'',
+  'index_photo_deriv'=>'2small',
+  'index_photo_deriv_hdpi'=>'xsmall',
 );
 }
Index: /extensions/modus/language/en_UK/theme.lang.php
===================================================================
--- /extensions/modus/language/en_UK/theme.lang.php	(revision 28452)
+++ /extensions/modus/language/en_UK/theme.lang.php	(revision 28453)
@@ -6,3 +6,11 @@
 $lang['%d albums'] = '%d albums';
 
+$lang['Modus theme config'] = 'Modus theme config';
+$lang['Skin'] = 'Skin';
+$lang['Album thumbnails'] = 'Album thumbnails';
+$lang['Use square thumbs'] = 'Use square thumbs';
+$lang['%d pixels'] = '%d pixels';
+$lang['Default sizes'] = 'Default sizes';
+$lang['Default size for thumbnails'] = 'Default size for thumbnails';
+$lang['Default size for thumbnails on high density display (retina)'] = 'Default size for thumbnails on high density display (retina)';
 ?>
Index: /extensions/modus/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/modus/language/fr_FR/theme.lang.php	(revision 28452)
+++ /extensions/modus/language/fr_FR/theme.lang.php	(revision 28453)
@@ -6,3 +6,11 @@
 $lang['%d albums'] = '%d albums';
 
+$lang['Modus theme config'] = 'Configuration du thème Modus';
+$lang['Skin'] = 'Style';
+$lang['Album thumbnails'] = 'Miniatures d\'album';
+$lang['Use square thumbs'] = 'Utiliser des miniatures carrées';
+$lang['%d pixels'] = '%d pixels';
+$lang['Default sizes'] = 'Tailles par défaut';
+$lang['Default size for thumbnails'] = 'Taille par défaut pour les miniatures';
+$lang['Default size for thumbnails on high density display (retina)'] = 'Taille par défaut pour les miniatures sur écran haute densité (retina)';
 ?>