Index: /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php	(revision 28484)
+++ /trunk/plugins/TakeATour/language/zh_CN/plugin.lang.php	(revision 28485)
@@ -48,7 +48,7 @@
 $lang['first_contact_stp3'] = '第一个标签页是使用浏览器直接添加图片。其他标签页是使用其他方法上传图片。';
 $lang['first_contact_title3'] = '添加图片 页面';
-$lang['first_contact_stp1'] = '你好！我将为您导览 Piwigo。请按指令操作，点击 Next（或使用键盘上的箭头键）控制进程。按提示操作。点击 Prev/Next（或使用键盘上的箭头键）控制导览进程。导览中如果点击进入管理界面的其他页， 将自动返回当前的导览页。如果被卡住无法结束导览，进入<em>插件 » Take A Tour</em> 即可结束导览。<br>那么，就让我们从添加图片开始吧！';
-$lang['TAT_descrp'] = '欢迎！这里列出了探索您的 Piwigo 图库之特性的所有导览。<br>开启以下的某一导览，按提示操作。点击 Prev/Next（或使用键盘上的箭头键）控制导览进程。导览中如果点击进入管理界面的其他页， 将自动返回当前的导览页。如果被卡住无法结束导览，进入<em>插件 » Take A Tour</em> 即可结束导览。';
-$lang['first_contact_stp2'] = '链接在此。点击 Next 以继续。';
+$lang['first_contact_stp1'] = '你好！我将为您导览 Piwigo。请按指令操作，点击 前进（或使用键盘上的箭头键）控制进程。导览中如果点击进入管理界面的其他页面， 将自动返回当前的导览页。如果被卡住无法结束导览，进入<em>插件 » Take A Tour</em> 即可结束导览。<br>那么，就让我们从添加图片开始吧！';
+$lang['TAT_descrp'] = '欢迎！这里列出了探索您的 Piwigo 图库之特性的所有导览。<br>开启以下的某一导览，按提示操作。点击 后退/前进（或使用键盘上的箭头键）控制导览进程。导览中如果点击进入管理界面的其他页， 将自动返回当前的导览页。如果被卡住无法结束导览，进入<em>插件 » Take A Tour</em> 即可结束导览。';
+$lang['first_contact_stp2'] = '链接在此。点击 前进 以继续。';
 $lang['first_contact_title1'] = '欢迎来到您的 Piwigo 图库';
 $lang['First Contact'] = '第一次接触';
@@ -66,7 +66,7 @@
 $lang['first_contact_stp9'] = '现在您进入了批量管理页面，在这里您可以批量编辑多张图片。这里的标记图片库被设置为过滤器，因为我们是经由图片上传页面进来的。';
 $lang['first_contact_title9'] = '批量管理';
-$lang['first_contact_stp8'] = '让我们来编辑它们吧！点击此链接。如果没有看到链接，点击 Prev 来添加至少两张图片。';
+$lang['first_contact_stp8'] = '让我们来编辑它们吧！点击此链接。如果没有看到链接，点击 后退 来添加至少两张图片。';
 $lang['first_contact_descrp'] = '推荐给新手，本导览将向您介绍 Piwigo 的基本特性。从添加和管理图片开始，继之以相册的管理和权限、个性化设置，以及主题和插件等。';
-$lang['first_contact_stp28'] = '现在让我们看看那些使 Piwigo 以您希望的方式工作的那些选项。点击 设置->选项 或 Next。';
+$lang['first_contact_stp28'] = '现在让我们看看那些使 Piwigo 以您希望的方式工作的那些选项。点击 设置->选项 或 前进。';
 $lang['first_contact_title29'] = '设置->选项->总体';
 $lang['first_contact_title28'] = '设置';
@@ -75,6 +75,6 @@
 $lang['first_contact_stp25'] = '相册的权限是以 组 和 用户 来设定的，您可以在右上角的 帮助 - Piwigo 使用指南 里有所了解。在管理界面的 相册 » 属性 页上，您可以直接为多个相册设定 公开/非公开 的权限。';
 $lang['first_contact_title25'] = '相册权限';
-$lang['first_contact_stp18'] = '至此只是 Piwigo 之强大功能的一瞥。前面谈到了非公开相册，那么我们如何管理相册呢？点击 相册->管理 或点击 Next';
-$lang['first_contact_stp24'] = '当然，相册权限页面是最重要的页面之一。点击 权限 标签，或点击 Next';
+$lang['first_contact_stp18'] = '至此只是 Piwigo 之强大功能的一瞥。前面谈到了非公开相册，那么我们如何管理相册呢？点击 相册->管理 或点击 前进';
+$lang['first_contact_stp24'] = '当然，相册权限页面是最重要的页面之一。点击 权限 标签，或点击 前进';
 $lang['first_contact_stp23'] = '锁定一个相册，意味着只有管理员可以看到该相册：通常用于管理员正在管理相册属性或不希望立即发布该相册的情况。';
 $lang['first_contact_stp22'] = '在这里您可以编辑相册的属性';
@@ -105,5 +105,5 @@
 $lang['first_contact_stp39'] = '在第一个标签页，即插件列表页上，列出了已安装的插件。首先列出的是已启用的插件，它们正在运行。然后列出的是已安装于/plugins目录里，但处于停用状态的插件。删除一个插件意味着该插件的所有痕迹将被移除（文件、选项等）。而停用一个插件，就大部分插件而言，插件注册的数据将会保留在系统里。';
 $lang['first_contact_stp38'] = '插件是个性化您的 Piwigo 的简单办法。他们可以做到您能想到的几乎所有事情，小到文字添加，大到整体的特性，比如 Community 插件可以使非管理员用户无需进入管理界面即可上传图片。';
-$lang['first_contact_stp37'] = '要安装新的主题，您可以在 \'添加新主题\' 页面上直接下载。只有与您的版本的 Piwigo 兼容的主题才会被列出。<br>现在让我们去看看 插件 吧！点击 插件->管理 或 Next';
+$lang['first_contact_stp37'] = '要安装新的主题，您可以在 \'添加新主题\' 页面上直接下载。只有与您的版本的 Piwigo 兼容的主题才会被列出。<br>现在让我们去看看 插件 吧！点击 插件->管理 或 前进';
 $lang['first_contact_stp36'] = '主题具有层级依存性：一些主题不能被删除（当一个子主题被启用时，其父主题无法被删除），一些主题不能被启用（当子主题欠缺父主题时）。当鼠标置于一个主题的删除键上时，如果该主题不可删除，会出现弹窗告诉您为什么。';
 $lang['first_contact_stp34'] = '主题是个性化您的 Piwigo 的三种途径之一，此外还有插件和模板。已安装的主题列在了这里。<br>可以启用多个主题：如果 \'选项\' 页上的 \'允许用户自定义\' 被勾选了的话，用户就可以在这些已启用的主题中选择一个。';
@@ -112,5 +112,5 @@
 $lang['first_contact_title36'] = '主题';
 $lang['first_contact_title37'] = '主题';
-$lang['first_contact_stp33'] = '关于选项：\'游客设置\'页是用来设定未注册的访问者所看到的界面的。Piwigo 提及\'游客\'时指的都是未注册的访问者。<br>让我们继续往下看吧：点击 设置->主题 或 Next。';
+$lang['first_contact_stp33'] = '关于选项：\'游客设置\'页是用来设定未注册的访问者所看到的界面的。Piwigo 提及\'游客\'时指的都是未注册的访问者。<br>让我们继续往下看吧：点击 设置->主题 或 前进。';
 $lang['first_contact_stp32'] = '现在保存以上的更改';
 $lang['first_contact_stp31'] = '然后是页首banner，它将显示于所有页面的顶端。如您所见，HTML标签允许在这里使用。 您也可以使用 %gallery_title% 标签来显示刚才在上面输入的图库标题。';
@@ -132,2 +132,8 @@
 $lang['2_7_0_title8'] = ' ';
 $lang['2_7_0_title9'] = ' ';
+$lang['2_7_0_title1'] = '欢迎来到 Piwigo 2.7';
+$lang['2_7_0_title3'] = '快捷搜索';
+$lang['2_7_0_title11'] = '回见！';
+$lang['2_7_0_stp1'] = '你好！我将为您导览 Piwigo。请按指令操作，点击 前进（或使用键盘上的箭头键）控制进程。导览中如果点击进入其他页面， 将自动返回当前的导览页。';
+$lang['2_7_0_descrp'] = '探索 Piwigo 2.7 的新特性';
+$lang['2.7 Tour'] = 'Piwigo 2.7 导览';