Index: /extensions/Full_Background/js/full_BG.js
===================================================================
--- /extensions/Full_Background/js/full_BG.js	(revision 28522)
+++ /extensions/Full_Background/js/full_BG.js	(revision 28523)
@@ -168,5 +168,5 @@
 						if($tf_bg_img.is(':animated'))
 							return false;
-							scroll('tb');
+							scroll('bt');
 					});
 					
@@ -175,5 +175,5 @@
 						if($tf_bg_img.is(':animated'))
 						return false;
-						scroll('bt');
+						scroll('tb');
 					});
 					
@@ -197,9 +197,9 @@
 						switch(e.which){
 							case 38:	
+								scroll('tb');
+								break;	
+
+							case 40:	
 								scroll('bt');
-								break;	
-
-							case 40:	
-								scroll('tb');
 								break;
 						}
@@ -215,5 +215,5 @@
 					//if dir is "tb" (top -> bottom) increment current, 
 					//else if "bt" decrement it
-					current	= (dir == 'tb')?current + 1:current - 1;
+					current	= (dir == 'bt')?current + 1:current - 1;
 					
 					//we want a circular slideshow, 
@@ -283,5 +283,5 @@
 						
 					//we want the old image to slide in the same direction, out of the viewport
-						var slideTo	= (dir == 'tb')?-$tf_bg_img.height() + 'px':$(window).height() + 'px';
+						var slideTo	= (dir == 'bt')?-$tf_bg_img.height() + 'px':$(window).height() + 'px';
 						$tf_bg_img.stop().animate({
 							top 	: slideTo
Index: /extensions/Full_Background/template/index.tpl
===================================================================
--- /extensions/Full_Background/template/index.tpl	(revision 28522)
+++ /extensions/Full_Background/template/index.tpl	(revision 28523)
@@ -1,27 +1,31 @@
+{combine_script id='core.switchbox' load='async' require='jquery' path='themes/default/js/switchbox.js'}
 {$MENUBAR}
 
+
+{if isset($errors) or isset($infos)}
+<div class="content messages{if isset($MENUBAR)} contentWithMenu{/if}">
+{include file='infos_errors.tpl'}
+</div>
+{/if}
+
 {if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
+<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
+<div class="titrePage{if isset($chronology.TITLE)} calendarTitleBar{/if}">
 
-
-<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
-
-<div class="titrePage{if isset($chronology.TITLE)} calendarTitleBar{/if} visible">
-	<ul class="categoryActions">
-{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
-	</ul>
-<div id="title_page">
 <h2>{$TITLE}</h2>
-</div>
 
 {if isset($chronology_views)}
 <div class="calendarViews">{'View'|@translate}:
-	<select onchange="document.location = this.options[this.selectedIndex].value;">
-		{foreach from=$chronology_views item=view}
-		<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+	<a id="calendarViewSwitchLink" href="#">
+	{foreach from=$chronology_views item=view}{if $view.SELECTED}{$view.CONTENT}{/if}{/foreach}
+	</a>
+	<div id="calendarViewSwitchBox" class="switchBox">
+		{foreach from=$chronology_views item=view name=loop}{if !$smarty.foreach.loop.first}<br>{/if}
+		<span{if !$view.SELECTED} style="visibility:hidden"{/if}>&#x2714; </span><a href="{$view.VALUE}">{$view.CONTENT}</a>
 		{/foreach}
-	</select>
+	</div>
+	{footer_script}(SwitchBox=window.SwitchBox||[]).push("#calendarViewSwitchLink", "#calendarViewSwitchBox");{/footer_script}
 </div>
 {/if}
-
 
 {if isset($chronology.TITLE)}
@@ -31,13 +35,8 @@
 </div>{* <!-- titrePage --> *}
 
-{if isset($errors) or not empty($infos)}
-{include file='infos_errors.tpl'}
-{/if}
 {if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}
 
-
-
 {if !empty($category_search_results)}
-<div style="font-size:16px;margin:10px 16px">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+<div class="category_search_results">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
 	<em><strong>
 	{foreach from=$category_search_results item=res name=res_loop}
@@ -50,9 +49,8 @@
 
 {if !empty($tag_search_results)}
-<div style="font-size:16px;margin:10px 16px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+<div class="tag_search_results">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
 	<em><strong>
-	{foreach from=$tag_search_results item=res name=res_loop}
-	{if !$smarty.foreach.res_loop.first} &mdash; {/if}
-	{$res}
+	{foreach from=$tag_search_results item=tag name=res_loop}
+	{if !$smarty.foreach.res_loop.first} &mdash; {/if} <a href="{$tag.URL}">{$tag.name}</a>
 	{/foreach}
 	</strong></em>
@@ -64,28 +62,29 @@
 {/if}
 
-
 {if !empty($CONTENT_DESCRIPTION)}
-<div class="additional_info visible">
+<div class="additional_info">
 	{$CONTENT_DESCRIPTION}
 </div>
 {/if}
 
+{if !empty($CONTENT)}{$CONTENT}{/if}
+
+{if !empty($CATEGORIES)}{$CATEGORIES}{/if}
+
+{if !empty($cats_navbar)}
+	{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$cats_navbar}
+{/if}
 
 {if !empty($THUMBNAILS)}
-		{$THUMBNAILS}
-{else}
-	{if !empty($CATEGORIES)}
-		{$CATEGORIES}
-	{/if}
+<div class="loader"><img src="{$ROOT_URL}{$themeconf.img_dir}/ajax_loader.gif"></div>
+<ul class="thumbnails" id="thumbnails">
+  {$THUMBNAILS}
+</ul>
 {/if}
-
-
-{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+{if !empty($thumb_navbar)}
+	{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$thumb_navbar}
+{/if}
 
 {if !empty($PLUGIN_INDEX_CONTENT_END)}{$PLUGIN_INDEX_CONTENT_END}{/if}
 </div>{* <!-- content --> *}
 {if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
-
-
-		</div> <!-- page_content -->			
-	</div> <!--the_page -->	
Index: /extensions/Full_Background/template/mainpage_categories.tpl
===================================================================
--- /extensions/Full_Background/template/mainpage_categories.tpl	(revision 28522)
+++ /extensions/Full_Background/template/mainpage_categories.tpl	(revision 28523)
@@ -17,5 +17,5 @@
 <div id="tf_content_wrapper" class="tf_content_wrapper">
 	{foreach from=$category_thumbnails item=cat name=cat_loop}
-		<div class="tf_content" id="content" {if $smarty.foreach.cat_loop.first}style="display:block;"{/if}>
+		<div class="tf_content" {if $smarty.foreach.cat_loop.first}style="display:block;"{/if}>
 			<h2>
 				<a href="{$cat.URL}">{$cat.NAME}</a>
Index: /extensions/Full_Background/template/thumbnails.tpl
===================================================================
--- /extensions/Full_Background/template/thumbnails.tpl	(revision 28522)
+++ /extensions/Full_Background/template/thumbnails.tpl	(revision 28523)
@@ -36,5 +36,5 @@
 {if !empty($category_thumbnails)}
 	{foreach from=$category_thumbnails item=cat name=cat_loop}
-		<div class="tf_content" id="content" {if $smarty.foreach.cat_loop.first}style="display:block;"{/if}>
+		<div class="tf_content" {if $smarty.foreach.cat_loop.first}style="display:block;"{/if}>
 			<h2>
 				<a href="{$cat.URL}">{$cat.NAME}</a>
Index: /extensions/Full_Background/themeconf.inc.php
===================================================================
--- /extensions/Full_Background/themeconf.inc.php	(revision 28522)
+++ /extensions/Full_Background/themeconf.inc.php	(revision 28523)
@@ -23,5 +23,5 @@
 	function modify_nb_thumbnail_page()
 	{
-	global $user, $page;
+	global $user, $page, $conf;
 		$user['nb_image_page']=999;
 		$page['nb_image_page']=999;