Index: /extensions/Ldap_Login/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Ldap_Login/language/en_UK/plugin.lang.php	(revision 28534)
+++ /extensions/Ldap_Login/language/en_UK/plugin.lang.php	(revision 28535)
@@ -39,4 +39,10 @@
 $lang['Search Ldap groups ?'] = 'Search Ldap users ? If you have your groups widespreaded in several branchs or OU, you will need this. If you avoid it, you save one ldap request. You may not need it if your ldap tree is simple (e.g.: cn=groupname,ou=groups,dc=example,dc=com).';
 
+$lang['If you create a <a href="admin.php?page=group_list">piwigo group</a> with the same name as an ldap one, all members of the ldap group will automatically join the piwigo group at their next authentication. This allows you to create <a href="admin.php?page=help&section=groups">specific right access management</a> (restrict access to a particaular album...).']
+	= 'If you create a <a href="admin.php?page=group_list">piwigo group</a> with the same name as an ldap one, all members of the ldap group will automatically join the piwigo group at their next authentication. This allows you to create <a href="admin.php?page=help&section=groups">specific right access management</a> (restrict access to a particaular album...). Yet, in order to out this users, you must first get them out of the ldap groups, then the piwigo groups can be updated.';
+$lang['To get them out of these roles, they must be sorted of the ldap group and then role updated in the <a href="admin.php?page=user_list">piwigo admin</a>. If a group is mandatory as described in the <a href="admin.php?page=plugin-Ldap_Login-newusers">new piwigo users tab</a>, then they must also belong to the users group.']
+	= 'To get them out of these roles, they must be sorted of the ldap group and then role updated in the <a href="admin.php?page=user_list">piwigo admin</a>. If a group is mandatory as described in the <a href="admin.php?page=plugin-Ldap_Login-newusers">new piwigo users tab</a>, then they must also belong to the users group.';
+
+
 // ldap connection credentials
 
Index: /extensions/Ldap_Login/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Ldap_Login/language/fr_FR/plugin.lang.php	(revision 28534)
+++ /extensions/Ldap_Login/language/fr_FR/plugin.lang.php	(revision 28535)
@@ -44,5 +44,8 @@
 $lang['Attribute corresponding to the group name'] = 'Attribut correspondant au nom du groupe (e.g.: cn):';
 $lang['Search Ldap groups ?'] = 'Faire une recherche sur le nom des groupes ? Vous n\'avez pas besoin de cela si votre annuaire est assez simple (e.g.: cn=groupname,ou=groups,dc=example,dc=com). Si vous n\'utilisez pas cette option, vous épargnez une requete Ldap.';
-
+$lang['If you create a <a href="admin.php?page=group_list">piwigo group</a> with the same name as an ldap one, all members of the ldap group will automatically join the piwigo group at their next authentication. This allows you to create <a href="admin.php?page=help&section=groups">specific right access management</a> (restrict access to a particaular album...).']
+	= 'Si vous créez un <a href="admin.php?page=group_list">groupe piwigo</a> avec le même nom qu\'un groupe ldap, tous les membres de ce groupe ldap seront membres du groupe piwigo à leur prochaine connexion. Ceci vous permet de mettre en place des <a href="admin.php?page=help&section=groups">contrôles d\'accès</a>. Pour enlever les utilisateurs de ces groupes, ils doivent d\'abord être enlevés des groupes ldap, ensuite seulement des groupes piwigo.';
+$lang['To get them out of these roles, they must be sorted of the ldap group and then role updated in the <a href="admin.php?page=user_list">piwigo admin</a>. If a group is mandatory as described in the <a href="admin.php?page=plugin-Ldap_Login-newusers">new piwigo users tab</a>, then they must also belong to the users group.']
+	= 'Pour retirer ces droits d\'administration, vous devez enlever ces utilisateurs du groupe ldap puis mettre à jour leur role dans la <a href="admin.php?page=user_list">config piwigo</a>. Si l\'appartenance à un groupe est obligatoire comme indiqué dans <a href="admin.php?page=plugin-Ldap_Login-newusers">l\'onglet nouveaux utilisateurs</a>, alors les administrateurs et webmasters ldap doivent aussi appartenir à ce groupe ldap.';
 // ldap connection credentials
 