Index: /trunk/plugins/TakeATour/language/el_GR/plugin.lang.php
===================================================================
--- /trunk/plugins/TakeATour/language/el_GR/plugin.lang.php	(revision 28540)
+++ /trunk/plugins/TakeATour/language/el_GR/plugin.lang.php	(revision 28541)
@@ -128,2 +128,10 @@
 $lang['first_contact_stp25'] = 'Όπως μπορείτε να διαβάσετε στη Βοήθεια του Piwigo -σύνδεσμος επάνω δεξιά-, τα δικαιώματα λευκώματος έχουν οριστεί ανά ομάδες και ανά χρήστες. Μπορείτε να ορίσετε άμεσα ιδιωτικού / δημόσιου πολλαπλά άλμπουμ χρησιμοποιώντας τη Διαχείριση -> Λευκώματα ->  Ιδιότητες της σελίδας.';
 $lang['first_contact_stp24'] = 'Βεβαίως, μια από τις πιο σημαντικές σελίδες είναι η σελίδα άδειας πρόσβασης ενός ιδιωτικού λευκώματος. Κάντε κλικ στην καρτέλα άδεια ή κάντε κλικ στο επόμενο';
+$lang['first_contact_stp34'] = 'Τα θέματα είναι ένα από τους τρεις τρόπους για να προσαρμόσετε το Piwigo σας, με πρόσθετα και πρότυπα. Τα Θέματα που έχουν εγκατασταθεί αναφέρονται εδώ. <br> Περισσότερα από ένα θέμα μπορούν να ενεργοποιηθούν: οι χρήστες μπορούν να αλλάξουν το θέμα τους επιλέγοντας εδώ ένα από τα επιτρεπόμενα, εάν η επιλογή "Να επιτρέπεται η προσαρμογή των χρηστών" έχει επιλεγεί στη σελίδα Επιλογές.';
+$lang['first_contact_stp33'] = 'Απλά μια τελευταία λέξη για τις επιλογές στη σελίδα \'Ρυθμίσεις επισκέπτη\' είναι να ορίζετε τις προτιμήσεις των μη εγγεγραμμένων επισκεπτών. Κάθε φορά που το Piwigo αναφέρεται σε «επισκέπτης» σημαίνει μη εγγεγραμμένος επισκέπτες.<br> Ας συνεχίσουμε για τη Διαμόρφωση: Κάντε κλικ στο Διαμόρφωση-> Θέματα ή απλά να πατήσετε Επόμενο.';
+$lang['first_contact_stp32'] = 'Τώρα μπορείτε να αποθηκεύσετε τις αλλαγές';
+$lang['first_contact_stp31'] = 'Στη συνέχεια, το banner, το οποίο εμφανίζεται στην κορυφή της κάθε σελίδας. Όπως μπορείτε να δείτε, επιτρέπονται ετικέτες HTML εδώ. Μπορείτε επίσης να χρησιμοποιήσετε την ετικέτα %gallery_title% για να εμφανιστεί ο τίτλος που μόλις πληκτρολογήσατε παραπάνω.';
+$lang['first_contact_stp3'] = 'Αυτή η πρώτη καρτέλα είναι όπου μπορείτε να προσθέσετε φωτογραφίες κατευθείαν από τον browser σας. Οι άλλες καρτέλες είναι για τους άλλους τρόπους για να ανεβάσετε φωτογραφίες';
+$lang['first_contact_stp29'] = 'Εδώ, σε αυτή την πρώτη σελίδα, θα θέσετε την ουσιαστική και βασική διαμόρφωση της γκαλερί σας.';
+$lang['first_contact_stp26'] = 'Εδώ μπορείτε να ορίσετε το τρέχον λεύκωμα ως ιδιωτικό, στη συνέχεια να παρέχετε πρόσβαση σε χρήστες και σε ομάδες. Ως προεπιλογή, τα δικαιώματα δεν είναι αναδρομικά για τα υπο-λευκώματα, αλλά για τα προς τα επάνω λευκώματα θα χορηγηθεί η ίδια άδεια, προκειμένου να αφήσει τους αδειούχους χρήστες να περιηγηθούν στο λεύκωμα.';
+$lang['first_contact_stp27'] = 'Σημαντικό γεγονότος: οι webmasters και οι διαχειριστές δεν είναι παντογνώστες όταν περιηγούνται στο δημόσιο μέρος, αλλά μπορούν να έχουν πρόσβαση σε κάθε άλμπουμ και φωτογραφίες στην πλευρά του διαχειριστή.';