Index: /trunk/language/lb_LU/common.lang.php
===================================================================
--- /trunk/language/lb_LU/common.lang.php	(revision 28548)
+++ /trunk/language/lb_LU/common.lang.php	(revision 28549)
@@ -288,2 +288,52 @@
 $lang['%d photo is also linked to current tags'] = '%d Fotto ass och mat dëse Mot-clée verbonnen';
 $lang['%d photos are also linked to current tags'] = '%d Fottoe sinn och mat dëse Mot-clée verbonnen';
+$lang['in %d sub-album'] = 'am %d  Enneralbumm';
+$lang['in %d sub-albums'] = 'an den %d  Enneralbummen';
+$lang['Your username has been successfully changed to : %s'] = 'Ären Benotzernumm ass elo:';
+$lang['author(s) : %s'] = 'Autor(en)%s';
+$lang['created on %s'] = 'erstallt den %s';
+$lang['Week %d'] = 'Woch%d';
+$lang['User comments'] = 'Benotzerkommentaren';
+$lang['User: %s'] = 'Benotzer: %s';
+$lang['Username: %s'] = 'Benotzernumm: %s';
+$lang['Page generated in'] = 'Säit erstallt an';
+$lang['Connected user: %s'] = 'Verbonne Benotzer:%s';
+$lang['IP: %s'] = 'IP:%s';
+$lang['Each listed rule must be satisfied.'] = 'All opgelëscht Regel muss erfëllt sinn.';
+$lang['Number of items'] = 'Unzuel vun den Elementer';
+$lang['Registration of %s'] = 'Registréierung vun %s';
+$lang['Requested album does not exist'] = 'Dat ausgewieltent Album existéiert net';
+$lang['Reset to default values'] = 'Reinitialiséieren op d\'Standardwäerter';
+$lang['SQL queries in'] = 'SQL-Ufroen an';
+$lang['Search for any term'] = 'iergendee Wuert';
+$lang['Search results'] = 'Sichresultater';
+$lang['Send my connection settings by email'] = 'Connexiouns-Astellunge per Mail verschécken';
+$lang['Show latest comments first'] = 'Den neieste Commentaire fir d\'éischt weisen';
+$lang['Show number of comments'] = 'Weis, wéi vill Commentairë gemaach goufen';
+$lang['Show number of hits'] = 'Weis, wéi dacks op d\'Bild geklickt gouf';
+$lang['Show oldest comments first'] = 'Den eelste Commentaire fir d\'éischt weisen';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Et gouf eng Ufro gemaach, fir deem heite Benotzer säi Passwuert ze reinitialiséieren:';
+$lang['Sort order'] = 'D\'Reiefolleg, an där zortéiert gëtt';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Erfollegräich registréiert! Dir kritt geschwënn eng Mail mat Ären Zougangs-Donnéeën. Sidd häerzlech wëllkomm!';
+$lang['Tag results for'] = 'Sichresultater fir';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'Am RSS-Feed sinn Nouvellë vun dëser Websäit: nei Fottoen, aktualiséiert Albumen, nei Commentairen. Benotzt en RSS-Feed-Reader.';
+$lang['The gallery is locked for maintenance. Please, come back later.'] = 'Den aktiven Zougrëff op d\'Datebank ass wéinst Maintenance blockéiert. Besicht eis w.e.g. e bësse méi spéit nach eng Kéier.';
+$lang['Password confirmation is missing. Please confirm the chosen password.'] = 'D\'Kontroll-Passwuert feelt. Gitt w.e.g. Äert ausgewielt Passwuert nach eng Kéier an';
+$lang['Password is missing. Please enter the password.'] = 'D\'Passwuert feelt. Gitt w.e.g Äert Passwuert an.';
+$lang['Password reset is not allowed for this user'] = 'Dëse Benotzer däerf d\'Passwuert net reinitialiséieren';
+$lang['Please, enter a login'] = 'Gitt w.e.g. Äre Benotzernumm an';
+$lang['Quick search'] = 'Séier Sich';
+$lang['Random photos'] = 'Zoufälleg Fottoen';
+$lang['Rank'] = 'Rang';
+$lang['Rating score'] = 'Bewäertungs-Stand';
+$lang['Recent period'] = 'Wéi vill Deeg sollen d\'Biller als nei markéiert ginn?';
+$lang['Recent period must be a positive integer value'] = 'Den Zäitintervall muss eng positiv, ganz Zuel sinn';
+$lang['Invalid username or email'] = 'Ongëltegen Benotzernumm oder ongëlteg E-Mail-Adress';
+$lang['Email: %s'] = 'E-Mail-Adress:%s';
+$lang['Error sending email'] = 'Feeler beim Verschécke vun der Mail.';
+$lang['Here are your connection settings'] = 'Dat sinn Är Connexiouns-Donnéeën';
+$lang['I want to add photos'] = 'Ech géif gär Fottoe bäisetzen.';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Wann et sech ëm en Iertum handelt, dann ignoréiert dës Mail';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Wann Dir dës Mail iertemlecherweis krut, da kontaktéiert eis w.e.g.%s.';
+$lang['Email address is missing. Please specify an email address.'] = 'D\'Mailadress feelt. Gitt w.e.g. eng Mailadress un';
+$lang['Empty query. No criteria has been entered.'] = 'D\'Ufro as eidel. Kee Critère aginn';