Index: /trunk/admin/themes/default/js/addAlbum.js
===================================================================
--- /trunk/admin/themes/default/js/addAlbum.js	(revision 28551)
+++ /trunk/admin/themes/default/js/addAlbum.js	(revision 28552)
@@ -84,5 +84,5 @@
 
           albumParent.val('');
-          jQuery('#albumSelection').show();
+          jQuery('#albumSelection, .selectFiles, .showFieldset').show();
         },
         error: function(XMLHttpRequest, textStatus, errorThrows) {
Index: /trunk/admin/themes/default/template/photos_add_direct.tpl
===================================================================
--- /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 28551)
+++ /trunk/admin/themes/default/template/photos_add_direct.tpl	(revision 28552)
@@ -26,5 +26,5 @@
   filter: function(categories, options) {
     if (categories.length > 0) {
-      jQuery("#albumSelection").show();
+      jQuery("#albumSelection, .selectFiles, .showFieldset").show();
       options.default = categories[0].id;
     }
@@ -43,68 +43,8 @@
 var sizeLimit = Math.round({$upload_max_filesize} / 1024); /* in KBytes */
 
+var noAlbum_message = "{'Select an album'|translate}";
+
 {literal}
 jQuery(document).ready(function(){
-  function checkUploadStart() {
-    var nbErrors = 0;
-    jQuery("#formErrors").hide();
-    jQuery("#formErrors li").hide();
-
-    if (jQuery("select[name=category]").val() == '') {
-      jQuery("#formErrors #noAlbum").show();
-      nbErrors++;
-    }
-
-    var nbFiles = 0;
-    if (jQuery("#uploadBoxes").size() == 1) {
-      jQuery("input[name^=image_upload]").each(function() {
-        if (jQuery(this).val() != "") {
-          nbFiles++;
-        }
-      });
-    }
-    else {
-      nbFiles = jQuery(".uploadifyQueueItem").size();
-    }
-
-    if (nbFiles == 0) {
-      jQuery("#formErrors #noPhoto").show();
-      nbErrors++;
-    }
-
-    if (nbErrors != 0) {
-      jQuery("#formErrors").show();
-      return false;
-    }
-    else {
-      return true;
-    }
-
-  }
-
-  function humanReadableFileSize(bytes) {
-    var byteSize = Math.round(bytes / 1024 * 100) * .01;
-    var suffix = 'KB';
-
-    if (byteSize > 1000) {
-      byteSize = Math.round(byteSize *.001 * 100) * .01;
-      suffix = 'MB';
-    }
-
-    var sizeParts = byteSize.toString().split('.');
-    if (sizeParts.length > 1) {
-      byteSize = sizeParts[0] + '.' + sizeParts[1].substr(0,2);
-    }
-    else {
-      byteSize = sizeParts[0];
-    }
-
-    return byteSize+suffix;
-  }
-
-  jQuery("#hideErrors").click(function() {
-    jQuery("#formErrors").hide();
-    return false;
-  });
-
   jQuery("#uploadWarningsSummary a.showInfo").click(function() {
     jQuery("#uploadWarningsSummary").hide();
@@ -177,8 +117,10 @@
       
         html = '<a href="admin.php?page=photo-'+data.result.image_id+'" target="_blank">';
-        html += '<img src="'+data.result.src+'" class="thumbnail">';
+        html += '<img src="'+data.result.src+'" class="thumbnail" title="'+data.result.name+'">';
         html += '</a> ';
       
         jQuery("#uploadedPhotos").prepend(html);
+
+        up.removeFile(file);
       }
     }
@@ -194,4 +136,12 @@
 
 <div id="photosAddContent">
+
+{*
+<div class="infos">
+  <ul>
+    <li>%d photos added..</li>
+  </ul>
+</div>
+*}
 
 {if count($setup_errors) > 0}
@@ -232,14 +182,5 @@
 {else}
 
-<div id="formErrors" class="errors" style="display:none">
-  <ul>
-    <li id="noAlbum">{'Select an album'|@translate}</li>
-    <li id="noPhoto">{'Select at least one photo'|@translate}</li>
-  </ul>
-  <div class="hideButton" style="text-align:center"><a href="#" id="hideErrors">{'Hide'|@translate}</a></div>
-</div>
-
-
-<form id="uploadForm" enctype="multipart/form-data" method="post" action="{$form_action}" class="properties">
+<form id="uploadForm" enctype="multipart/form-data" method="post" action="{$form_action}">
 {if $upload_mode eq 'multiple'}
     <input name="upload_id" value="{$upload_id}" type="hidden">
@@ -256,5 +197,5 @@
     </fieldset>
 
-    <p class="showFieldset"><a id="showPermissions" href="#">{'Manage Permissions'|@translate}</a></p>
+    <p class="showFieldset" style="display:none"><a id="showPermissions" href="#">{'Manage Permissions'|@translate}</a></p>
 
     <fieldset id="permissions" style="display:none">
@@ -266,5 +207,5 @@
     </fieldset>
 
-    <fieldset>
+    <fieldset class="selectFiles" style="display:none">
       <legend>{'Select files'|@translate}</legend>
  
@@ -283,5 +224,5 @@
 
 	<div id="uploader">
-		<p>Your browser doesn't have Flash, Silverlight or HTML5 support.</p>
+		<p>Your browser doesn't have HTML5 support.</p>
 	</div>
 
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 28551)
+++ /trunk/admin/themes/default/theme.css	(revision 28552)
@@ -984,4 +984,9 @@
 
 /* Upload Form */
+.plupload_header {display:none;}
+#uploadForm .plupload_container {padding:0}
+#uploadForm .plupload_scroll .plupload_filelist {height:250px;}
+#uploadForm li.plupload_droptext {line-height:230px;font-size:2em;}
+
 #uploadBoxes .file {margin-bottom:5px;text-align:left;}
 #uploadBoxes {margin-top:20px;}
Index: /trunk/include/ws_functions/pwg.images.php
===================================================================
--- /trunk/include/ws_functions/pwg.images.php	(revision 28551)
+++ /trunk/include/ws_functions/pwg.images.php	(revision 28552)
@@ -1303,16 +1303,5 @@
   $chunks = isset($_REQUEST["chunks"]) ? intval($_REQUEST["chunks"]) : 0;
 
-  file_put_contents('/tmp/plupload.log', "[".date('c')."] ".__FUNCTION__.', '.$fileName.' '.($chunk+1).'/'.$chunks."\n", FILE_APPEND);
-
-  single_insert(
-    'plupload',
-    array(
-      'received_on' => date('c'),
-      'filename' => $fileName,
-      'chunk' => $chunk+1,
-      'chunks' => $chunks,
-      )
-    );
-
+  // file_put_contents('/tmp/plupload.log', "[".date('c')."] ".__FUNCTION__.', '.$fileName.' '.($chunk+1).'/'.$chunks."\n", FILE_APPEND);
 
   // Open temp file
@@ -1370,4 +1359,5 @@
 SELECT
     id,
+    name,
     path
   FROM '.IMAGES_TABLE.'
@@ -1379,4 +1369,5 @@
       'image_id' => $image_id,
       'src' => DerivativeImage::thumb_url($image_infos),
+      'name' => $image_infos['name'],
       );
   }